/*
 *  Categories on NSArray and NSDictionary that allow them to be
 *  sent over the wire like a regular object.  Currently only NSString,
 *  NSData and NSNumber implement the NXTransport protocol so only those
 *  classes can be sent by value over the wire.
 *
 *  No guarantee is made for the fitness of this code for any particular
 *  use.  No warranty expressed or implied.  Use at your own risk!
 *
 *  Randy Tidd
 *  NeXT Premium Developer Support
 */
#import <foundation/NSArray.h>
#import <foundation/NSDictionary.h>
#import <objc/Object.h>
#import <remote/transport.h>

@interface NSObject (OldDOExtensions)

+ (const char *)name;
- encodeUsing:(id <NXEncoding>)portal;
- decodeUsing:(id <NXDecoding>)portal;

@end

@interface NSArray (OldDOExtensions)

- encodeRemotelyFor:connection freeAfterEncoding:(BOOL *)flag isBycopy:(BOOL)isBycopy;

@end

@interface NSDictionary (OldDOExtensions)

- encodeRemotelyFor:connection freeAfterEncoding:(BOOL *)flag isBycopy:(BOOL)isBycopy;

@end

